Bug 181357 - "Reveal word" feature can be confusing
Summary: "Reveal word" feature can be confusing
Status: RESOLVED FIXED
Alias: None
Product: kanagram
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Jeremy Whiting
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-19 23:54 UTC by Jonathan Thomas
Modified: 2012-12-05 22:50 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Thomas 2009-01-19 23:54:02 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

This change request was recently submitted to the Kubuntu bug tracker here: https://launchpad.net/bugs/313596 I am forwarding it on here so that it can be dealt with properly upstream.

To shamelessly quote the downstream bug verbatim:
"When you hit "reveal word" the anagram is revealed but it is unclear what the next step is to obtain a new word. Hitting the Enter key doesn't do anything and hitting "reveal word" doesn't do anything either. I might suggest either making "reveal word" greyed out or replaced "reveal word" with "next" once pressed."
Comment 1 Laszlo Papp 2012-11-03 08:27:15 UTC
I would just personally remove the "reveal word" once pressed as it does not make sense to use that action again. Graying out is hard to imagine for me since the blackboard and text already gray. :-)

Turning that into "next" would be a duplication (and hence confusion IMO) about using one action in two different ways since there is already the next button.

Should be a junior task.
Comment 2 Laszlo Papp 2012-12-02 08:21:42 UTC
Git commit ddae522b26d9507879a54f2723f6f0394e8dbe61 by Laszlo Papp.
Committed on 02/12/2012 at 09:18.
Pushed by lpapp into branch 'master'.

Avoid the confusion after revealing the world

Thank you to "Adam Davies" for his Google Code-in work!

M  +8    -3    src/desktop/kanagram.cpp
M  +1    -0    src/desktop/kanagram.h

http://commits.kde.org/kanagram/ddae522b26d9507879a54f2723f6f0394e8dbe61